{
  "info": {
    "_postman_id": "ab2f353c-a30b-433a-b721-6351f52cf24b",
    "name": "ExpenseCount",
    "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
    "_exporter_id": "29159821"
  },
  "item": [
    {
      "name": "syn",
      "item": [
        {
          "name": "group_expense",
          "protocolProfileBehavior": {
            "disabledSystemHeaders": {}
          },
          "request": {
            "method": "POST",
            "header": [
              {
                "key": "Accept",
                "value": " application/json",
                "type": "text"
              },
              {
                "key": "Content-Type",
                "value": " application/json",
                "type": "text"
              }
            ],
            "body": {
              "mode": "raw",
              "raw": "{\r\n  \"app_version\": \"2\",\r\n  \"client_version\": \"3.3\",\r\n  \"unique_url\": \"1EXSyWbu6Ldpo7cn\",\r\n  \"platform\": \"1\",\r\n  \"user_id\" : 436,\r\n  \"modifyGroupExpense\": [],\r\n  \"addGroupExpense\": [\r\n    {\r\n      \"id\": \"1_0-00001-897656-169B868B1B42488194A5DC5CF63AA29D#13\",\r\n      \"what\": \"t1\",\r\n      \"expense_id\": \"897656\",\r\n      \"create_date\": \"2020-10-15 23:34:37\",\r\n      \"paid_by_participant_id\": \"5_0\",\r\n      \"amount\": \"1.000000\",\r\n      \"is_reimbursement\": \"0\",\r\n      \"version\": \"0\",\r\n      \"expense_date\": \"15-Oct-2020\",\r\n      \"isDetails\": \"1\",\r\n      \"type\": \"1\",\r\n     // \"participant_amount\": \"1_0|1.00\",\r\n      \"expense_type\": \"1\"\r\n     \r\n    }\r\n  ],\r\n \r\n  \"addParticipant\": [],\r\n  \"modifyParticipant\": [],\r\n  \"deleteParticipant\": []\r\n}\r\n// {\r\n//     \"platform\": \"2\",\r\n//     \"app_version\": \"2\",\r\n//     \"api_version\": 3,\r\n//     \"application_version\": \"40.8\",\r\n//     \"unique_url\": \"2KknhWb24Ld88BYX\",\r\n//     \"user_id\": \"77\",\r\n//     \"addParticipant\": [\r\n//       {\r\n//         \"id\": 2,\r\n//         \"participant_id\": \"1_2\",\r\n//         \"expense_id\": \"897540\",\r\n//         \"name\": \"Vbvd\",\r\n//         \"is_creator\": 0,\r\n//         \"create_date\": \"2026-03-04 11:36:04\",\r\n//         \"version\": 0\r\n//       }\r\n  \r\n//     ],\r\n//     \"modifyParticipant\": [],\r\n//     \"deleteParticipant\": [],\r\n//     \"addGroupExpense\": [\r\n//     {\r\n//         \"id\": \"1_1-00002-897540\",\r\n//         \"expense_id\": \"897540\",\r\n//         \"what\": \"Vaisakh cubs\",\r\n//         \"expense_date\": \"26-Feb-2026\",\r\n//         \"create_date\": \"2026-02-26 22:05:15\",\r\n//         \"update_date\": \"1772604421\",\r\n//         \"amount\": 3509,\r\n//         \"paid_by_participant_id\": \"1_2\",\r\n//         \"participant_amount\": \"2_0|1.2|3509.0\",\r\n//         \"isDetails\": 0,\r\n//         \"is_reimbursement\": 0,\r\n//         \"expense_type\": 1,\r\n//         \"type\": 1,\r\n//         \"category_id\": 0,\r\n//         \"receipts\": 0,\r\n//         \"images\": \"null\",\r\n//         \"changed_by\": \"bpulakd@gmail.com\",\r\n//         \"version\": 1\r\n//       }\r\n//     ],\r\n//      \"modifyGroupExpense\": [\r\n      \r\n//     ],\r\n//     \"deleteGroupExpense\": [\r\n     \r\n//     ]\r\n   \r\n//   }",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "http://localhost/expensecount/geservices/synGroupExpense.json",
              "protocol": "http",
              "host": [
                "localhost"
              ],
              "path": [
                "expensecount",
                "geservices",
                "synGroupExpense.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "family_expense",
          "protocolProfileBehavior": {
            "disabledSystemHeaders": {}
          },
          "request": {
            "method": "POST",
            "header": [
              {
                "key": "Accept",
                "value": " application/json",
                "type": "text"
              },
              {
                "key": "Content-Type",
                "value": " application/json",
                "type": "text"
              }
            ],
            "body": {
              "mode": "raw",
              "raw": "{\r\n  \"app_version\": \"2\",\r\n  \"client_version\": \"3.3\",\r\n  \"unique_url\": \"3j6W3Wbm6LdwzMPh\",\r\n  \"platform\": \"1\",\r\n  \"user_id\" : 436,\r\n  \"modifyGroupExpense\": [],\r\n  \"addGroupIncome\": [\r\n    {\r\n      \"id\": \"1_0-00001-13670-169B868B1B42488194A5DC5CF63AA29D#13\",\r\n      \"what\": \"t1\",\r\n      \"expense_id\": \"897648\",\r\n      \"create_date\": \"2020-10-15 23:34:37\",\r\n      \"paid_by_participant_id\": \"1_0\",\r\n      \"amount\": \"1.000000\",\r\n      \"update_date\": \"1602819277\",\r\n      \"is_reimbursement\": \"0\",\r\n      \"version\": \"0\",\r\n      \"expense_date\": \"15-Oct-2020\",\r\n      \"isDetails\": \"1\",\r\n      \"type\": \"1\",\r\n      \"participant_amount\": \"1_0|1.00|0.333333,2_0|1.00|0.333333,3_0|1.00|0.333333\",\r\n      \"expense_type\": \"1\"\r\n     \r\n    }\r\n  ],\r\n  \"addGroupExpense\": [\r\n    {\r\n      \"id\": \"1_0-00002-13670-169B868B1B42488194A5DC5CF63AA29D#13\",\r\n      \"what\": \"t3\",\r\n      \"expense_id\": \"897648\",\r\n      \"create_date\": \"2020-10-15 23:34:37\",\r\n      \"paid_by_participant_id\": \"1_0\",\r\n      \"amount\": \"1.000000\",\r\n      \"update_date\": \"1602819277\",\r\n      \"is_reimbursement\": \"0\",\r\n      \"version\": \"0\",\r\n      \"expense_date\": \"15-Oct-2020\",\r\n      \"isDetails\": \"1\",\r\n      \"type\": \"1\",\r\n      \"participant_amount\": \"1_0|1.00|0.333333,2_0|1.00|0.333333,3_0|1.00|0.333333\",\r\n      \"expense_type\": \"1\"\r\n    \r\n    }\r\n  ]\r\n\r\n}\r\n",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "http://localhost/expensecount/feservices/synFamilyExpense.json",
              "protocol": "http",
              "host": [
                "localhost"
              ],
              "path": [
                "expensecount",
                "feservices",
                "synFamilyExpense.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "mess_expense",
          "protocolProfileBehavior": {
            "disabledSystemHeaders": {}
          },
          "request": {
            "method": "POST",
            "header": [
              {
                "key": "Accept",
                "value": " application/json",
                "type": "text"
              },
              {
                "key": "Content-Type",
                "value": " application/json",
                "type": "text"
              }
            ],
            "body": {
              "mode": "raw",
              "raw": "/*{\r\n  \"app_version\": \"2\",\r\n  \"client_version\": \"3.3\",\r\n  \"unique_url\": \"1S4AVVbG3LdUWXnf\",\r\n  \"platform\": \"1\",\r\n  \"user_id\" : 72,\r\n  \"modifyGroupExpense\": [],\r\n  \"addGroupExpense\": [\r\n    {\r\n      \"id\": \"1_0-00001-13670-169B868B1B42488194A5DC5CF63AA29D#13\",\r\n      \"what\": \"t1\",\r\n      \"expense_id\": \"897492\",\r\n      \"create_date\": \"2020-10-15 23:34:37\",\r\n      \"paid_by_participant_id\": \"1_0\",\r\n      \"amount\": \"1.000000\",\r\n      \"update_date\": \"1602819277\",\r\n      \"is_reimbursement\": \"0\",\r\n      \"version\": \"0\",\r\n      \"expense_date\": \"15-Oct-2020\",\r\n      \"isDetails\": \"1\",\r\n      \"type\": \"1\",\r\n      \"participant_amount\": \"1_0|1.00|0.333333,2_0|1.00|0.333333,3_0|1.00|0.333333\",\r\n      \"expense_type\": \"1\"\r\n     \r\n    }\r\n  ],\r\n  \"deleteGroupExpense\": [\r\n    {\r\n      \"id\": \"1_0-00002-13670-169B868B1B42488194A5DC5CF63AA29D#13\",\r\n      \"what\": \"t3\",\r\n      \"expense_id\": \"897492\",\r\n      \"create_date\": \"2020-10-15 23:34:37\",\r\n      \"paid_by_participant_id\": \"1_0\",\r\n      \"amount\": \"1.000000\",\r\n      \"update_date\": \"1602819277\",\r\n      \"is_reimbursement\": \"0\",\r\n      \"version\": \"0\",\r\n      \"expense_date\": \"15-Oct-2020\",\r\n      \"isDetails\": \"1\",\r\n      \"type\": \"1\",\r\n      \"participant_amount\": \"1_0|1.00|0.333333,2_0|1.00|0.333333,3_0|1.00|0.333333\",\r\n      \"expense_type\": \"1\"\r\n    \r\n    }\r\n  ],\r\n  \"addParticipant\": [],\r\n  \"modifyParticipant\": [],\r\n  \"deleteParticipant\": []\r\n}*/\r\n{\r\n    \"platform\": \"2\",\r\n    \"app_version\": \"2\",\r\n    \"api_version\": 3,\r\n    \"application_version\": \"5.7\",\r\n    \"unique_url\": \"2lHTyWbv6LdWlGh8\",\r\n    \"user_id\":436,\r\n    \"addParticipant\": [],\r\n    \"modifyParticipant\": [],\r\n    \"deleteParticipant\": [],\r\n    \"addGroupExpense\": [\r\n        {\r\n            \"id\": \"1_0-00001-897657-a332aeef00da6c25#1\",\r\n            \"expense_id\": \"897657\",\r\n            \"what\": \"rice\",\r\n            \"expense_date\": \"18-May-2026\",\r\n            \"create_date\": \"2026-05-18 16:08:51\",\r\n            \"update_date\": \"1779098931\",\r\n            \"amount\": 112,\r\n            \"paid_by_participant_id\": \"1_0\",\r\n            \"participant_amount\": \"\",\r\n            \"isDetails\": 1,\r\n            \"is_reimbursement\": 0,\r\n            \"expense_type\": 2,\r\n            \"type\": 1,\r\n            \"category_id\": 0,\r\n            \"receipts\": 0,\r\n            \"version\": 0\r\n        }\r\n    ],\r\n    \"modifyGroupExpense\": [],\r\n    \"deleteGroupExpense\": [],\r\n    \"addMeal\": [],\r\n    \"modifyMeal\": [],\r\n    \"deleteMeal\": []\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "http://localhost/expensecount/meservices/synMessExpense.json",
              "protocol": "http",
              "host": [
                "localhost"
              ],
              "path": [
                "expensecount",
                "meservices",
                "synMessExpense.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "accessinfo",
          "request": {
            "method": "POST",
            "header": [
              {
                "key": "Accept",
                "value": " application/json",
                "type": "text"
              },
              {
                "key": "Content-Type",
                "value": " application/json",
                "type": "text"
              }
            ],
            "body": {
              "mode": "raw",
              "raw": "{\r\n   \"unique_urls\":[ \"1MXmzWbx6Ldc1gnn\",\"3eQTyWbw6LdqwIxo\"]\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "http://localhost/expensecount/Expense/accessInfo.json",
              "protocol": "http",
              "host": [
                "localhost"
              ],
              "path": [
                "expensecount",
                "Expense",
                "accessInfo.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "groupoperation",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "{\r\n    \"AddGroups\": [],\r\n    \"ArchiveGroups\": [],\r\n    \"DeleteGroups\": [],\r\n    \"deviceID\": \"1157275a79d9915b\",\r\n    \"expense_type\": \"1\",\r\n    \"user_id\": \"107\",\r\n    \"access_token\": \"6c78070292bc25ce301a7a8048e75a1a8cdcb7747bf047299f4722ca2042f7cf\",\r\n    \"device_id\": \"1157275a79d9915b\",\r\n    \"random_number\": \"1055060\"\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/users/groupsOperation.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "users",
                "groupsOperation.json"
              ]
            }
          },
          "response": []
        }
      ]
    },
    {
      "name": "Notification",
      "item": [
        {
          "name": "send",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "{\r\n    \"data\": {\r\n                \"title\":\"Test\",\r\n                \"body\":\"Expenses have been added\",\r\n                \"unique_url\": \"1ZUvfWbz4LdVOKgU\",\r\n                \"expenses\": \"{\\\"add\\\":[\\\"1_2-00010-897493-2580d388ce5ca3f5#21\\\",\\\"1_2-00012-897493-2580d388ce5ca3f5#25\\\"],\\\"update\\\":[\\\"1_0-00004-897493\\\"],\\\"delete\\\":[\\\"1_0-00005-897493\\\",\\\"1_0-00006-897493\\\"]}\"\r\n},\r\n    \"user_id\":[78],\r\n    \"access_token\":\"8355816f3ad0c381ee026a6e6101392f2855594cc35dbc9dfeabe9a46685861a\",\r\n    \"random_number\":\"948438\"\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/users/sendNotification.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "users",
                "sendNotification.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "groupRestore",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "{\r\n \"app_version\" : \"2\",\r\n \"ios_version\" : \"14.0\",\r\n \"client_version\" : \"3.3\",\r\n  \"platform\" : \"1\",\r\n  //\"skip_process_validation\":1,\r\n   \"user_id\": \"77\",\r\n   \"unique_url\": \"1jdlqVb1oeaXr0H\",\r\n   \"status\":2\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/users/groupRestore.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "users",
                "groupRestore.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "sentExportLink",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "{\r\n   \"app_version\" : \"2\",\r\n   \"ios_version\" : \"14.0\",\r\n   \"client_version\" : \"3.3\",\r\n   \"platform\" : \"1\",\r\n   \"user_id\": \"436\",\r\n   \"unique_url\": \"1DIw5Wb76LdkDcAp\"\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/Expense/sentExportLink.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "Expense",
                "sentExportLink.json"
              ]
            }
          },
          "response": []
        },
        {
          "name": "sentExportLink Copy",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "// {\r\n//    \"app_version\" : \"2\",\r\n//    \"ios_version\" : \"14.0\",\r\n//    \"client_version\" : \"3.3\",\r\n//    \"platform\" : \"1\",\r\n//    \"user_id\": \"77\",\r\n//    \"unique_url\": \"1jdlqVb1oeaXr0H\"\r\n// }\r\n{\r\n  \"prefix\": \"dev/GroupExpense/\",\r\n  \"unique_url\": \"1YxvvWbj6LdYCsWK\",\r\n  \"zip_file_prefix\": \"dev/GroupExpense/zip/\"\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "https://us-central1-expensecount-312c7.cloudfunctions.net/generateGroupZip",
              "protocol": "https",
              "host": [
                "us-central1-expensecount-312c7",
                "cloudfunctions",
                "net"
              ],
              "path": [
                "generateGroupZip"
              ]
            }
          },
          "response": []
        }
      ]
    },
    {
      "name": "Permission",
      "item": [
        {
          "name": "permission",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "{\r\n  \"access_token\": \"917e84fc2df92d1320578f9cdf7a64705c600b576f844c6c9209d8756cdee678\",\r\n  \"addPermissions\": [\r\n\r\n  ],\r\n  \"modifyPermissions\":[\r\n   {\r\n      \"email\": \"bohra2618@gmail.com\",\r\n      \"role\": \"4\"\r\n    }\r\n  ],\r\n  \"app_version\": \"2\",\r\n  \"application_version\": \"40.8\",\r\n  \"deletePermissions\": [\r\n    {\r\n      \"email\": \"bohra2618@gmail.com\",\r\n      \"role\": \"3\"\r\n    }\r\n  ],\r\n  \"device_id\": \"3dbaffffc7cc0de2\",\r\n  \"expense_id\": \"16271\",\r\n  \"platform\": \"2\",\r\n  \"profile_id\": \"bpulakd@gmail.com\",\r\n  \"random_number\": \"718562\",\r\n  \"unique_url\": \"1jdlqVb1oeaXr0H\",\r\n  \"user_id\": \"77\",\r\n  \"version\": 3\r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/Expense/permissions.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "Expense",
                "permissions.json"
              ]
            }
          },
          "response": []
        }
      ]
    },
    {
      "name": "push token",
      "item": [
        {
          "name": "registerToken",
          "request": {
            "method": "POST",
            "header": [],
            "body": {
              "mode": "raw",
              "raw": "// {\"access_token\":\"f6dbc099448630aaba1f656e2509d3281a914e93a991d488a0b8b53620c67939\",\"app_version\":\"2\",\"application_version\":\"40.8\",\"device_id\":\"f9ca43a800d41cfc\",\"platform\":\"2\",\"push_token\":\"cs9-RXGjQrSFFTEV8R6tou:APA91bGVPTpjSxCj_O2Q6HY8M4wud2XEzHVc6-_yfcHPFFkZrwsaDLVB9O9GMnH9akuVEW8OTARo6EfrfsU4bFlcmVYsg2fkn8gjR2nwCW9cjVfYUZOyuSI\",\"random_number\":\"768588\",\"status\":1,\"user_id\":\"72\",\"version\":3}\r\n// {\"status\":1,\"access_token\":\"952a5bceb3043861d21e6a5d0a6c926e2f668d07a02837fb3c57725f8f55808d\",\"device_id\":\"4E63F5429EE04FF5A4E9495AE07BD29B\",\"platform\":\"2\",\"app_version\":\"1\",\"application_version\":\"82.0\",\"user_id\":\"8\",\"version\":0,\"random_number\":\"360191\",\"push_token\":\"f2lLUF4-PkwOvksL46W4iD:APA91bEvJbRyJoTnYvdFpiCJ9U5EpXNoAYn9-XCf826Lbk9Vf-fAmGUB0w9QtPm1Dm-uvIdSy0WngYngZ4uAluFEok1garI7LggQupwPHg-1pOgMB1m1QK8\"}\r\n// {\"app_version\":\"1\",\"status\":1,\"random_number\":\"314975\",\"device_id\":\"4E63F5429EE04FF5A4E9495AE07BD29B\",\"application_version\":\"82.0\",\"platform\":\"1\",\"access_token\":\"fffcbe538c11bc9e52dc612f24f8903b8653d3197ce30424bbf9fb1f53cd0b9d\",\"version\":0,\"user_id\":\"72\",\"push_token\":\"f2lLUF4-PkwOvksL46W4iD:APA91bEvJbRyJoTnYvdFpiCJ9U5EpXNoAYn9-XCf826Lbk9Vf-fAmGUB0w9QtPm1Dm-uvIdSy0WngYngZ4uAluFEok1garI7LggQupwPHg-1pOgMB1m1QK8\"}\r\n// {\r\n//     \"app_version\": \"1\",\r\n//     \"status\": 1,\r\n//     \"random_number\": \"768588\",\r\n//     \"device_id\": \"f9ca43a800d41cfc\",\r\n//     \"application_version\": \"82.0\",\r\n//     \"platform\": \"2\",\r\n//     \"access_token\": \"f6dbc099448630aaba1f656e2509d3281a914e93a991d488a0b8b53620c67939\",\r\n//     \"version\": 0,\r\n//     \"user_id\": \"107\",\r\n//     \"push_token\": \"f2lLUF4-PkwOvksL46W4iD:APA91bEvJbRyJoTnYvdFpiCJ9U5EpXNoAYn9-XCf826Lbk9Vf-fAmGUB0w9QtPm1Dm-uvIdSy0WngYngZ4uAluFEok1garI7LggQupwPHg-1pOgMB1m1QK8\"\r\n// }\r\n// {\"access_token\":\"27883484458213dc3241d7d26a085a6eb51a51614aa5f4151dd4b3ef057aed8e\",\"app_version\":\"2\",\"application_version\":\"40.8\",\"device_id\":\"f9ca43a800d41cfc\",\"platform\":\"2\",\"random_number\":\"591482\",\"status\":1,\"user_id\":\"72\",\"version\":3,\r\n//     \"push_token\": \"dssfasfasfasdf\"}\r\n// {\r\n//     \"access_token\": \"dae190a0150a82dbe761daa1191b6e435077608674356d0e0caa80731f91cb17\",\r\n//     \"app_version\": \"2\",\r\n//     \"application_version\": \"40.8\",\r\n//     \"device_id\": \"f9ca43a800d41cfc\",\r\n//     \"platform\": \"2\",\r\n//     \"push_token\": \"eI-4Z19URCKdAJKCBTkACa:APA91bEwe1y4muuyPj2PtkGLkw6VMIzbFOGoE4bThB0oqcpoYvNtOaVHX0Rjc3yoxb9i1lXPdw58VX-N-MJc1uqUVUC4wzBTBtZ3nIdIoZTN0NgHUglb4qI\",\r\n//     \"random_number\": \"1054953\",\r\n//     \"status\": 1,\r\n//     \"user_id\": \"405\",\r\n//     \"version\": 3\r\n// }\r\n\r\n\r\n// {\"access_token\":\"871b51ee4380fa6a6f7e6cb2a03e33fa4f6201c21f96ac0f8c0dc28e40091775\",\"app_version\":\"2\",\"application_version\":\"40.9\",\"device_id\":\"f9ca43a800d41cfc\",\"platform\":\"2\",\"push_token\":\"dNqbU9vzTxKvQ0Cmm4q_O8:APA91bE_B2vE50n4dAGBsIm_UJXSE45Fjg1ho6kkfiBOL74kGMk08hRsjZ5TGBwut3HNZ5EKD0b_STFM3Gr_b_N054Fc9xDz6UtFBJ5kwOn28-HpVDxbz90\",\"random_number\":\"607230\",\"status\":1,\"user_id\":\"405\",\"version\":3}\r\n{\"access_token\":\"844ecf8bf9bb9e646b9368f08b478c16151353b922dd4279e54d1ea2d2a0cc21\",\"app_version\":\"2\",\"application_version\":\"40.9\",\"device_id\":\"f9ca43a800d41cfc\",\"platform\":\"2\",\"push_token\":\"dNqbU9vzTxKvQ0Cmm4q_O8:APA91bE_B2vE50n4dAGBsIm_UJXSE45Fjg1ho6kkfiBOL74kGMk08hRsjZ5TGBwut3HNZ5EKD0b_STFM3Gr_b_N054Fc9xDz6UtFBJ5kwOn28-HpVDxbz90\",\"random_number\":\"747715\",\"status\":1,\"user_id\":\"107\",\"version\":3}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "{{url}}/users/register_push_token.json",
              "host": [
                "{{url}}"
              ],
              "path": [
                "users",
                "register_push_token.json"
              ]
            }
          },
          "response": []
        }
      ]
    },
    {
      "name": "Download",
      "item": [
        {
          "name": "pulloperation",
          "protocolProfileBehavior": {
            "disableBodyPruning": true,
            "disabledSystemHeaders": {}
          },
          "request": {
            "method": "GET",
            "header": [
              {
                "key": "Accept",
                "value": " application/json",
                "type": "text"
              },
              {
                "key": "Content-Type",
                "value": " application/json",
                "type": "text"
              }
            ],
            "body": {
              "mode": "raw",
              "raw": "{\r\n    \"platform\": \"2\",\r\n    \"app_version\": \"2\",\r\n    \"application_version\": \"2.44a\",\r\n    \"device_id\": \"e7c647bce759a5cc\",\r\n    \"random_number\": \"677660\",\r\n    \"access_token\": \"9f7f6698e18ad0580f8a84643145f510ca9ca7992257790ef8d33935f4e463d5\",\r\n    \"unique_url\":\"2jBE4Wbn6LdBCTao\"\r\n \r\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "url": {
              "raw": "http://localhost/expensecount/geservices/downloadExpenseCount.json",
              "protocol": "http",
              "host": [
                "localhost"
              ],
              "path": [
                "expensecount",
                "geservices",
                "downloadExpenseCount.json"
              ]
            }
          },
          "response": []
        }
      ]
    },
    {
      "name": "Login",
      "request": {
        "method": "POST",
        "header": [],
        "body": {
          "mode": "raw",
          "raw": "{\r\n  \"email\": \"pulak@gmail.com\",\r\n  \"password\": \"12345678\"\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "https://localhost/imgupload/geservices/fileupload",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "geservices",
            "fileupload"
          ]
        }
      },
      "response": []
    },
    {
      "name": "group_expense",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {}
      },
      "request": {
        "method": "POST",
        "header": [
          {
            "key": "Accept",
            "value": " application/json",
            "type": "text"
          },
          {
            "key": "Content-Type",
            "value": " application/json",
            "type": "text"
          }
        ],
        "body": {
          "mode": "raw",
          "raw": "{\r\n    \"platform\": \"2\",\r\n    \"app_version\": \"2\",\r\n    \"application_version\": \"2.44a\",\r\n    \"device_id\": \"e7c647bce759a5cc\",\r\n    \"random_number\": \"677660\",\r\n    \"access_token\": \"9f7f6698e18ad0580f8a84643145f510ca9ca7992257790ef8d33935f4e463d5\",\r\n    \"Expense\": {\r\n        \"id\": \"MOB2\",\r\n        \"title\": \"1500\",\r\n        \"currency\": \"USD\",\r\n        \"description\": \"desc\",\r\n        \"language\": \"eng\",\r\n        \"expense_type\": 1,\r\n        \"create_date\": \"2019-04-23 16:46:16\",\r\n        \"update_date\": \"1556027176\",\r\n        \"status\": 0,\r\n        \"version\": 0\r\n    },\r\n    \"Participant\": [\r\n        {\r\n            \"id\": 0,\r\n            \"participant_id\": \"1_0\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"name\": \"abdullah\",\r\n            \"is_creator\": 1,\r\n            \"create_date\": \"1556027175\",\r\n            \"version\": 0\r\n        }\r\n    ],\r\n    \"GroupExpense\": [\r\n        {\r\n            \"id\": \"1_2-00001-MOB2\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"what\": \"oo\",\r\n            \"expense_date\": \"14-Apr-2019\",\r\n            \"create_date\": \"2019-04-23 21:55:21\",\r\n            \"update_date\": \"1556045721\",\r\n            \"amount\": 100,\r\n            \"paid_by_participant_id\": \"1_0\",\r\n            \"participant_amount\": \"1_0|1.0|100.0\",\r\n            \"isDetails\": 0,\r\n            \"is_reimbursement\": 0,\r\n            \"expense_type\": 1,\r\n            \"type\": 1,\r\n            \"version\": 0,\r\n            \"images\": [\r\n               \r\n                {\r\n                  \"data\":\"data:image/png;base64,[encoded data, 385652 characters]\"\r\n                },\r\n                 {\r\n                  \"data\":\"data:image/png;base64,[encoded data, 385652 characters]\"\r\n                },\r\n                {\r\n                  \"data\":\"data:image/png;base64,[encoded data, 385652 characters]\"\r\n                }\r\n            ]\r\n        }\r\n    ]\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "https://localhost/imgupload/geservices/addGroupExpense.json",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "geservices",
            "addGroupExpense.json"
          ]
        }
      },
      "response": []
    },
    {
      "name": "mess_expense",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {}
      },
      "request": {
        "method": "POST",
        "header": [
          {
            "key": "Accept",
            "value": " application/json",
            "type": "text"
          },
          {
            "key": "Content-Type",
            "value": " application/json",
            "type": "text"
          }
        ],
        "body": {
          "mode": "raw",
          "raw": "{\r\n    \"platform\": \"2\",\r\n    \"app_version\": \"2\",\r\n    \"application_version\": \"2.44a\",\r\n    \"device_id\": \"e7c647bce759a5cc\",\r\n    \"random_number\": \"677660\",\r\n    \"access_token\": \"9f7f6698e18ad0580f8a84643145f510ca9ca7992257790ef8d33935f4e463d5\",\r\n    \"Expense\": {\r\n        \"id\": \"MOB2\",\r\n        \"title\": \"1500\",\r\n        \"currency\": \"USD\",\r\n        \"description\": \"desc\",\r\n        \"language\": \"eng\",\r\n        \"expense_type\": 1,\r\n        \"create_date\": \"2019-04-23 16:46:16\",\r\n        \"update_date\": \"1556027176\",\r\n        \"status\": 0,\r\n        \"version\": 0\r\n    },\r\n    \"Participant\": [\r\n        {\r\n            \"id\": 0,\r\n            \"participant_id\": \"1_0\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"name\": \"abdullah\",\r\n            \"is_creator\": 1,\r\n            \"create_date\": \"1556027175\",\r\n            \"version\": 0\r\n        }\r\n    ],\r\n    \"GroupExpense\": [\r\n        {\r\n            \"id\": \"1_2-00001-MOB2\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"what\": \"oo\",\r\n            \"expense_date\": \"14-Apr-2019\",\r\n            \"create_date\": \"2019-04-23 21:55:21\",\r\n            \"update_date\": \"1556045721\",\r\n            \"amount\": 100,\r\n            \"paid_by_participant_id\": \"1_0\",\r\n            \"participant_amount\": \"1_0|1.0|100.0\",\r\n            \"isDetails\": 0,\r\n            \"is_reimbursement\": 0,\r\n            \"expense_type\": 1,\r\n            \"type\": 1,\r\n            \"version\": 0,\r\n            \"image_data\": [\r\n               \r\n                {\r\n                  \r\n                    \"data\": \"[encoded data, 1239912 characters]\"\r\n                },\r\n                {\r\n                    \"data\": \"[encoded data, 1239912 characters]\"\r\n                },\r\n                {\r\n                  \"data\":\"data:image/png;base64,[encoded data, 385652 characters]\"\r\n                }\r\n            ]\r\n        }\r\n    ]\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "https://localhost/imgupload/meservices/addMessExpense.json",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "meservices",
            "addMessExpense.json"
          ]
        }
      },
      "response": []
    },
    {
      "name": "family_expense",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {}
      },
      "request": {
        "method": "POST",
        "header": [],
        "body": {
          "mode": "raw",
          "raw": "{\r\n    \"platform\": \"2\",\r\n    \"app_version\": \"2\",\r\n    \"application_version\": \"2.44a\",\r\n    \"device_id\": \"e7c647bce759a5cc\",\r\n    \"random_number\": \"677660\",\r\n    \"access_token\": \"9f7f6698e18ad0580f8a84643145f510ca9ca7992257790ef8d33935f4e463d5\",\r\n    \"Expense\": {\r\n        \"id\": \"MOB2\",\r\n        \"title\": \"1500\",\r\n        \"currency\": \"USD\",\r\n        \"description\": \"desc\",\r\n        \"language\": \"eng\",\r\n        \"expense_type\": 1,\r\n        \"create_date\": \"2019-04-23 16:46:16\",\r\n        \"update_date\": \"1556027176\",\r\n        \"status\": 0,\r\n        \"version\": 0\r\n    },\r\n    \"Participant\": [\r\n        {\r\n            \"id\": 0,\r\n            \"participant_id\": \"1_0\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"name\": \"abdullah\",\r\n            \"is_creator\": 1,\r\n            \"create_date\": \"1556027175\",\r\n            \"version\": 0\r\n        }\r\n    ],\r\n    \"FamilyExpense\": [\r\n        {\r\n            \"id\": \"1_2-00001-MOB2\",\r\n            \"expense_id\": \"MOB2\",\r\n            \"what\": \"oo\",\r\n            \"expense_date\": \"14-Apr-2019\",\r\n            \"create_date\": \"2019-04-23 21:55:21\",\r\n            \"update_date\": \"1556045721\",\r\n            \"amount\": 100,\r\n            \"paid_by_participant_id\": \"1_0\",\r\n            \"participant_amount\": \"1_0|1.0|100.0\",\r\n            \"isDetails\": 0,\r\n            \"is_reimbursement\": 0,\r\n            \"expense_type\": 1,\r\n            \"type\": 1,\r\n            \"version\": 0,\r\n            \"image_data\": [\r\n               \r\n                {\r\n                  \r\n                    \"data\": \"[encoded data, 1239912 characters]\"\r\n                },\r\n                {\r\n                    \"data\": \"[encoded data, 1239912 characters]\"\r\n                },\r\n                {\r\n                  \"data\":\"data:image/png;base64,[encoded data, 385652 characters]\"\r\n                }\r\n            ]\r\n        }\r\n    ]\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "https://localhost/imgupload/feservices/addFamilyExpense.json",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "feservices",
            "addFamilyExpense.json"
          ]
        }
      },
      "response": []
    },
    {
      "name": "file",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {
          "content-type": true
        }
      },
      "request": {
        "method": "POST",
        "header": [
          {
            "key": "Content-Type",
            "value": "multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW",
            "type": "text"
          },
          {
            "key": "Accept",
            "value": "application/json",
            "type": "text"
          },
          {
            "key": "Content-Type",
            "value": "application/json",
            "type": "text",
            "disabled": true
          }
        ],
        "body": {
          "mode": "formdata",
          "formdata": [
            {
              "key": "file",
              "type": "file",
              "fileNotInWorkingDirectoryWarning": "This file isn't in your working directory. Teammates you share this request with won't be able to use this file. To make collaboration easier you can setup your working directory in Settings.",
              "filesNotInWorkingDirectory": [
                "/C:/Users/USER/Desktop/1672424755_LOGO.png"
              ],
              "src": "/C:/Users/USER/Desktop/1672424755_LOGO.png"
            },
            {
              "key": "type",
              "value": "1",
              "type": "text"
            }
          ]
        },
        "url": {
          "raw": "https://localhost/imgupload/geservices/fileupload",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "geservices",
            "fileupload"
          ]
        }
      },
      "response": []
    },
    {
      "name": "binary",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {
          "content-type": true
        }
      },
      "request": {
        "method": "POST",
        "header": [
          {
            "key": "Content-Type",
            "value": "multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW",
            "type": "text",
            "disabled": true
          },
          {
            "key": "Accept",
            "value": "application/json",
            "type": "text"
          },
          {
            "key": "Content-Type",
            "value": "application/json",
            "type": "text"
          }
        ],
        "body": {
          "mode": "raw",
          "raw": "{\r\n  \r\n    \"image_type\": \"image/png\",\r\n    \"image_data\": \"[encoded data, 1239912 characters]\"\r\n  \r\n}"
        },
        "url": {
          "raw": "https://localhost/imgupload/geservices/imageUpload",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "path": [
            "imgupload",
            "geservices",
            "imageUpload"
          ]
        }
      },
      "response": []
    },
    {
      "name": "binary Copy",
      "protocolProfileBehavior": {
        "disabledSystemHeaders": {
          "content-type": true
        }
      },
      "request": {
        "method": "POST",
        "header": [
          {
            "key": "Content-Type",
            "value": "multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW",
            "type": "text",
            "disabled": true
          },
          {
            "key": "Accept",
            "value": "application/json",
            "type": "text"
          },
          {
            "key": "Content-Type",
            "value": "application/json",
            "type": "text"
          }
        ],
        "body": {
          "mode": "raw",
          "raw": "{\"user_id\":\"72\",\"device_id\":\"4E63F5429EE04FF5A4E9495AE07BD29B\",\"platform\":\"2\",\"random_number\":\"313826\",\"app_version\":\"2\",\"version\":0,\"application_version\":\"3.2\",\"status\":\"0\",\"access_token\":\"bbbc84498f3dd31fe291bde8130b0bede98b7f18ae4b2cc69a0d358fe9ca6591\",\r\n\"push_token\":\"sfsdf\"}"
        },
        "url": {
          "raw": "http://localhost/expensecount/users/register_push_token.json",
          "protocol": "http",
          "host": [
            "localhost"
          ],
          "path": [
            "expensecount",
            "users",
            "register_push_token.json"
          ]
        }
      },
      "response": []
    },
    {
      "name": "Login after",
      "protocolProfileBehavior": {
        "disableBodyPruning": true
      },
      "request": {
        "auth": {
          "type": "bearer",
          "bearer": [
            {
              "key": "token",
              "value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJKd3RTdWJqZWN0IiwianRpIjoiMTgyNGVkMDAtODIwYS00MzA2LWJlNDItODA0MGQ0N2FkOTY4IiwiRW1haWwiOiJwdWxha0BnbWFpbC5jb20iLCJVc2VySWQiOiI1NDAiLCJleHAiOjE3MjY0NjcwNjcsImF1ZCI6Ikp3dElzc3VlciJ9.nmb9guA5Psv0ymLUmcU8dPnFXefhYBJQ6QoMTNvu_Zk",
              "type": "string"
            }
          ]
        },
        "method": "GET",
        "header": [],
        "body": {
          "mode": "raw",
          "raw": "{\r\n  \"email\": \"pulak@gmail.com\",\r\n  \"password\": \"12345678\"\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "https://localhost:7136/api/Auth",
          "protocol": "https",
          "host": [
            "localhost"
          ],
          "port": "7136",
          "path": [
            "api",
            "Auth"
          ]
        }
      },
      "response": []
    },
    {
      "name": "Login after Copy",
      "request": {
        "auth": {
          "type": "bearer",
          "bearer": [
            {
              "key": "token",
              "value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJKd3RTdWJqZWN0IiwianRpIjoiMTgyNGVkMDAtODIwYS00MzA2LWJlNDItODA0MGQ0N2FkOTY4IiwiRW1haWwiOiJwdWxha0BnbWFpbC5jb20iLCJVc2VySWQiOiI1NDAiLCJleHAiOjE3MjY0NjcwNjcsImF1ZCI6Ikp3dElzc3VlciJ9.nmb9guA5Psv0ymLUmcU8dPnFXefhYBJQ6QoMTNvu_Zk",
              "type": "string"
            }
          ]
        },
        "method": "POST",
        "header": [],
        "body": {
          "mode": "raw",
          "raw": "{\r\n  \"month\": 4\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "http://localhost/expensecount/filters/findExpiredRecords.json",
          "protocol": "http",
          "host": [
            "localhost"
          ],
          "path": [
            "expensecount",
            "filters",
            "findExpiredRecords.json"
          ]
        }
      },
      "response": []
    },
    {
      "name": "Account Delete",
      "request": {
        "method": "POST",
        "header": [],
        "body": {
          "mode": "raw",
          "raw": "{\r\n    \"action\": \"DELETE\",\r\n    \"deviceId\": \"86c360d505bd6821\",\r\n    \"user_id\": \"10\",\r\n    \"access_token\": \"123f45096aff3fb9461ef03b6814c6cc25de79afb492d2b1f9e7fb157d466528\",\r\n    \"device_id\": \"86c360d505bd6821\",\r\n    \"random_number\": \"386931\"\r\n}",
          "options": {
            "raw": {
              "language": "json"
            }
          }
        },
        "url": {
          "raw": "{{url}}/users/delete.json",
          "host": [
            "{{url}}"
          ],
          "path": [
            "users",
            "delete.json"
          ]
        }
      },
      "response": []
    }
  ],
  "event": [
    {
      "listen": "prerequest",
      "script": {
        "type": "text/javascript",
        "packages": {},
        "requests": {},
        "exec": [
          ""
        ]
      }
    },
    {
      "listen": "test",
      "script": {
        "type": "text/javascript",
        "packages": {},
        "requests": {},
        "exec": [
          ""
        ]
      }
    }
  ],
  "variable": [
    {
      "key": "url",
      "value": ""
    },
    {
      "key": "url",
      "value": "",
      "disabled": true
    }
  ]
}